%{!?upstream_version: %global upstream_version %{version}}

Name:           puppet-neutron
Version:        12.4.1
Release:        11%{?dist}
Summary:        Puppet module for OpenStack Neutron
License:        ASL 2.0

URL:            https://launchpad.net/puppet-neutron

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=12.4.1
Patch0001: 0001-Fix-dependency-cycle-in-networking-ansible-plugin-ma.patch
Patch0002: 0002-Added-new-class-neutron-server-placement.patch
Patch0003: 0003-placement-Replace-port-35357-with-5000-for-auth_url.patch
Patch0004: 0004-Ensure-tunnel-types-are-absent-if-not-configured.patch
Patch0005: 0005-Unified-agent-section-of-ini-files.patch
Patch0006: 0006-CiscoNexus-Update-and-Remove-deprecated-vars.patch
Patch0007: 0007-Add-support-for-configuring-permitted_ethertypes-on-.patch
Patch0008: 0008-Force-cast-bridge-mappings-as-an-array.patch
Patch0009: 0009-Remove-PE-requirement-from-metadata.json.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-nova
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet-vswitch
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Neutron

%prep
%setup -q -n openstack-neutron-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/



%files
%{_datadir}/openstack-puppet/modules/neutron/


%changelog
* Thu May 07 2020 Miguel Garcia <mgarciac@redhat.com> 12.4.1-11
- Remove PE requirement from metadata.json
- Force cast bridge mappings as an array

* Mon Jan 27 2020 Nate Johnston <iam@natejohnston.info> 12.4.1-10
- Add support for configuring permitted_ethertypes on OVS agent (rhbz#1718469)

* Fri Dec 20 2019 Emilien Macchi <emilien@redhat.com> 12.4.1-9
- CiscoNexus: Update and Remove deprecated vars (rhbz#1783994)

* Wed Oct 02 2019 Thierry Vignaud <tvignaud@redhat.com> 12.4.1-8
- Ensure tunnel types are absent if not configured
- [placement] Replace port 35357 with 5000 for "auth_url"
- Added new class neutron::server::placement

* Tue May 14 2019 Kamil Sambor <ksambor@redhat.com> 12.4.1-7
- Unified agent section of ini files (rhbz#1635154)

* Tue May 07 2019 Bob Fournier <bfournie@redhat.com> 12.4.1-6
- Fix dependency cycle in networking-ansible plugin manifest (rhbz#1703052)

* Wed Apr 03 2019 Jon Schlueter <jschluet@redhat.com> 12.4.1-5
- Update to 12.4.1 tag (rhbz#1695817)

* Fri Jan 25 2019 Steve Linabery <slinaber@redhat.com> 12.4.1-4.c763765git
- Add networking-ansible ml2 plugin support
- Adds new neutron nsx plugin parameters

* Wed Nov 28 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-3.873dfd1git
- Add posibilities to set tunnel_csum in ovs agent
- Add 'openstack-db' tag to db-sync Exec resource

* Wed Nov 28 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-2.873dfd1git
- IPv6 support for ODL-OVS deployment (rhbz#1636899)

* Tue Oct 16 2018 Steve Linabery <slinaber@redhat.com> 12.4.1-2.ed05e01git
- Rebase to (ed05e01) stable/queens branch

* Mon Jul 23 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-2.3aa3109git
- Rebase to (3aa3109) stable/queens branch

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



